Fetch Publication Configuration

Fetches the configuration for the specified publication.

Request will fail and return the 404 result model if the publication does not exist or if it is hidden.

Request

URI: /v2/content/{pub}/config

HTTP Method: GET

Header params:
  • Accept: [application/json] OR [application/xml]
PATH Parameter(s):
  • pub: publication ID

Response

Success
  • XML: <pub id="LiveContentDoc"> <lang code="en"> <configitem name="title" value="Content Delivery Documentation"/> <configitem name="toc" value="GUID-FEC8FA08-E122-46F2-81CC-2B839CCFEE6C"/> <configitem name="visible" value="visible"/> </lang> <configitem name="standard" value="DITA"/> <configitem name="visible" value="visible"/> <configitem name="default_language" value="en"/> </pub>
  • JSON: {"id":"LiveContentDoc", "visible":true, "lang":[{"code":"en", "visible":true, "configitem":[{"name":"title", "value":"Content Delivery Documentation"}, {"name":"toc", "value":"GUID-FEC8FA08-E122-46F2-81CC-2B839CCFEE6C"}, {"name":"visible", "value":"visible"}]}], "configitem":[{"name":"standard", "value":"DITA"}, {"name":"visible", "value":"visible"}, {"name":"default_language", "value":"en"}]}
Failed
  • XML: <result message="The requested publication or language version does not exist." messageKey="pubs.nonexist" status="FAIL" statusCode="404"/>
  • JSON: {"statusCode":404, "messageKey":"pubs.nonexist", "message":"The requested publication or language version does not exist.", "status":"FAIL", "info":[]}

Permissions

"Use application"

Example

Request:

GET http://example.corp:8080/LiveContent/v2/content/LiveContentDoc/config

Accept: application/xml

Response:

<pub id="LiveContentDoc"> <lang code="en"><configitem name="title" value="Content Delivery Documentation"/> <configitem name="toc" value="GUID-FEC8FA08-E122-46F2-81CC-2B839CCFEE6C"/> <configitem name="visible" value="visible"/> <configitem name="test" value="post test"/> <configitem name="shortdesc" value=""/> <configitem name="prepared" value="prepared"/> <configitem name="working_status" value="unlocked"/> <configitem name="filter.file" value=""/> <configitem name="filter.file.empty" value="1"/> </lang> <configitem name="standard" value="DITA"/> <configitem name="visible" value="visible"/> <configitem name="default_language" value="en"/> </pub>